Reaper (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.threads.Reaper class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.threads
Class Reaper

    java.lang.Object
      java.lang.Thread
          org.apache.tomcat.util.threads.Reaper

All Implemented Interfaces:
  java.lang.Runnable

public class Reaper
extends java.lang.Thread

The reaper is a background thread with which ticks every minute and calls registered objects to allow reaping of old session data.

Author:
  James Duncan Davidson [duncan@eng.sun.com], Costin Manolache

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`Reaper()`
`Reaper(java.lang.String name)`

Method Summary
`int` | `addCallback(ThreadPoolRunnable c, int interval)`
`long` | `getDefaultIntervale()`
`void` | `removeCallback(int idx)`
`void` | `run()`
`void` | `setDefaultInterval(long t)`
`void` | `startReaper()`
`void` | `stopReaper()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Reaper

    public Reaper()

### Reaper

    public Reaper(java.lang.String name)

Method Detail

### setDefaultInterval

    public void setDefaultInterval(long t)

### getDefaultIntervale

    public long getDefaultIntervale()

### addCallback

    public int addCallback(ThreadPoolRunnable c,
                           int interval)

### removeCallback

    public void removeCallback(int idx)

### startReaper

    public void startReaper()

### stopReaper

    public void stopReaper()

### run

    public void run()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.